.\" $XFree86: xc/programs/Xserver/hw/xwin/XWin.man,v 1.2 2001/07/29 22:08:15 tsi Exp $
.TH XWIN 1 __vendorversion__
.SH NAME
XWin \- X Server for the Cygwin environment on Microsoft Windows
.SH SYNOPSIS
.B XWin
[ options ] ...
.SH DESCRIPTION
.I XWin
is an X Server for the X Window System on the Cygwin environment
running on Microsoft Windows.
.SH OPTIONS
.PP
In addition to the normal server options described in the \fIXserver(1)\fP
manual page, \fIXWin\fP accepts the following command line switches:
.TP 8
.B "\-depth \fIdepth\fP"
Specify the color depth, in bits per pixel, to use when running in
fullscreen with a DirectDraw engine.  This parameter is ignored if
\fB\-fullscreen\fP is not specified.
.TP 8
.B "\-emulate3buttons \fItimeout\fP"
Emulate a three button mouse; pressing both buttons within
.I timeout
milliseconds causes an emulated middle button press.  The default 
.I timeout
is 50 milliseconds.
.TP 8
.B "\-engine \fIengine_type_id\fP"
Override the server's automatically supported engine type.  This
parameter will be ignored if the specified engine type is not
supported on the current system.  The supported engine type ids are 1
- Windows GDI, 2 - DirectDraw, and 4 - DirectDraw4.
.TP 8
.B \-fullscreen
Run the server in fullscreen mode, as opposed to the default windowed
mode.
.TP 8
.B "\-screen \fIscreen_number\fP \fIwidth\fP \fIheight\fP"
Sets the display resolution for the X server to use on screen
.I screen_number.
.SH "SEE ALSO"
.PP
X(__miscmansuffix__), Xserver(1), xdm(1), xinit(1)
.SH BUGS
.I XWin
and this man page still have many limitations. Some of the more obvious
ones are:
.br
- The display mode can not be changed once the X server has started.
.br
- Locking your Windows NT Workstation with Ctrl-Alt-Del while
.I XWin has the keyboard focus causes the keyboard to misbehave in 
.I XWin until you press and release the Ctrl key and Alt key once. 
.PP
.SH AUTHORS
XFree86 was originally ported to Cygwin by Dakshinamurthy Karra,
Dr. Peter Busch, John Fortin, and Suhaib Siddiqi.
.I XWin
is maintained by the Cygwin/XFree86 project, with hosting services
provided by RedHat.
.PP
The following members, in alphabetical order by last name, of the
Cygwin/XFree86 Team contributed to the XFree86 4.1.0 release:
.PP
Robert Collins - Lead website maintainer
.br
Christopher Faylor - Management of hosting services, general
programming guru
.br
Alexander Gottwald - AltGr handling for non-U.S. keyboards
.br
Alan Hourihane - Developer, patch reviewer, general programming guru
.br
Pierre A Humblet - Debugging of socket-related crashes, developer
.br
Harold L Hunt II - Lead developer, documentation, and minor website updates
.br
Suhaib Siddiqi - Project lead







